aboutsummaryrefslogtreecommitdiffstats
path: root/nfvbenchvm/dib/build-image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nfvbenchvm/dib/build-image.sh')
-rwxr-xr-xnfvbenchvm/dib/build-image.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/nfvbenchvm/dib/build-image.sh b/nfvbenchvm/dib/build-image.sh
index 4559bb6..3423140 100755
--- a/nfvbenchvm/dib/build-image.sh
+++ b/nfvbenchvm/dib/build-image.sh
@@ -6,6 +6,9 @@
# Ubuntu: sudo apt-get -y install python3 python3-venv qemu-utils kpartx
# CentOS: sudo yum install -y python3 qemu-img kpartx
+# Stop on error (see https://wizardzines.com/comics/bash-errors/)
+set -euo pipefail
+
usage() {
echo "Usage: $0 [-l] [-g] [-v]"
echo " -l build NFVbench loop VM image"